Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class InstanceState

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.InstanceState

    public class InstanceState

extends Object

Instance State

Constructor Summary
`InstanceState()`

Method Summary
`String` | `getDescription()` Returns the value of the Description property for this object.
`String` | `getInstanceId()` Returns the value of the InstanceId property for this object.
`String` | `getReasonCode()` Returns the value of the ReasonCode property for this object.
`String` | `getState()` Returns the value of the State property for this object.
`void` | `setDescription(String description)` Sets the value of the Description property for this object.
`void` | `setInstanceId(String instanceId)` Sets the value of the InstanceId property for this object.
`void` | `setReasonCode(String reasonCode)` Sets the value of the ReasonCode property for this object.
`void` | `setState(String state)` Sets the value of the State property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceState` | `withDescription(String description)` Sets the value of the Description property for this object.
`InstanceState` | `withInstanceId(String instanceId)` Sets the value of the InstanceId property for this object.
`InstanceState` | `withReasonCode(String reasonCode)` Sets the value of the ReasonCode property for this object.
`InstanceState` | `withState(String state)` Sets the value of the State property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceState

    public InstanceState()

Method Detail

### getInstanceId

    public String getInstanceId()

  Returns the value of the InstanceId property for this object.

  Returns:
    The value of the InstanceId property for this object.

### setInstanceId

    public void setInstanceId(String instanceId)

  Sets the value of the InstanceId property for this object.

  Parameters:
    `instanceId` - The new value for the InstanceId property for this object.

### withInstanceId

    public InstanceState withInstanceId(String instanceId)

  Sets the value of the InstanceId property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - The new value for the InstanceId property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Returns the value of the State property for this object.

  Returns:
    The value of the State property for this object.

### setState

    public void setState(String state)

  Sets the value of the State property for this object.

  Parameters:
    `state` - The new value for the State property for this object.

### withState

    public InstanceState withState(String state)

  Sets the value of the State property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - The new value for the State property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getReasonCode

    public String getReasonCode()

  Returns the value of the ReasonCode property for this object.

  Returns:
    The value of the ReasonCode property for this object.

### setReasonCode

    public void setReasonCode(String reasonCode)

  Sets the value of the ReasonCode property for this object.

  Parameters:
    `reasonCode` - The new value for the ReasonCode property for this object.

### withReasonCode

    public InstanceState withReasonCode(String reasonCode)

  Sets the value of the ReasonCode property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reasonCode` - The new value for the ReasonCode property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  Returns the value of the Description property for this object.

  Returns:
    The value of the Description property for this object.

### setDescription

    public void setDescription(String description)

  Sets the value of the Description property for this object.

  Parameters:
    `description` - The new value for the Description property for this object.

### withDescription

    public InstanceState withDescription(String description)

  Sets the value of the Description property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - The new value for the Description property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.